> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zayo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a system



## OpenAPI

````yaml /openapi.json get /system/{system_name}
openapi: 3.1.0
info:
  title: NIRO API
  description: Tenant API shema for NIRO
  version: NIRO-2.13.0
servers: []
security: []
tags:
  - name: service - aws
    description: >-
      Management of AWS cloud credentials, enabling seamless integration and
      automated connectivity
  - name: service - looking glass
    description: Test network connectivity
  - name: service - SDR
    description: >-
      Management for SDR (Session Details Records), a superset of classic
      NetFlow data
  - name: tenant
    description: >-
      Manage tenant-related information like packages and services as well as
      contact information
  - name: tenant - virtual interface
    description: Management for VIs (Virtual Interfaces)
  - name: group
    description: >-
      Predefined Groups of IP prefixes and IPs ready to be used in filters for
      firewall and other services
  - name: sites
    description: >-
      Manage information about sites providing network reach to order new
      Customer Ports
paths:
  /system/{system_name}:
    get:
      tags:
        - system
      summary: Get a system
      operationId: get_system_system__system_name__get
      parameters:
        - name: system_name
          in: path
          required: true
          schema:
            title: System Name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NBSystemResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearerFromCookie: []
components:
  schemas:
    NBSystemResponse:
      properties:
        name:
          type: string
          title: Name
        active_node:
          anyOf:
            - type: string
            - type: 'null'
          title: Active Node
        status:
          type: string
          title: Status
        location:
          type: string
          title: Location
        wg_conf:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Wg Conf
          default: {}
        nodes:
          items:
            $ref: '#/components/schemas/Node'
          type: array
          title: Nodes
      type: object
      required:
        - name
        - status
        - location
        - nodes
      title: NBSystemResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Node:
      properties:
        system_name:
          anyOf:
            - type: string
            - type: 'null'
          title: System Name
        role:
          $ref: '#/components/schemas/NodeRole'
          default: active
        location:
          anyOf:
            - type: string
            - type: 'null'
          title: Location
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        type:
          anyOf:
            - $ref: '#/components/schemas/NodeType'
            - type: 'null'
        version:
          anyOf:
            - type: string
            - type: 'null'
          title: Version
        build_number:
          anyOf:
            - type: integer
            - type: 'null'
          title: Build Number
        build_sha:
          anyOf:
            - type: string
            - type: 'null'
          title: Build Sha
        iso_epoch:
          anyOf:
            - type: integer
            - type: 'null'
          title: Iso Epoch
        vendor:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendor
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
        serial:
          anyOf:
            - type: string
            - type: 'null'
          title: Serial
        virtual:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Virtual
        cpu_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Cpu Type
        cpu_isolated:
          anyOf:
            - type: string
            - type: 'null'
          title: Cpu Isolated
        cpu_socket_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Cpu Socket Count
        cpu_core_per_socket:
          anyOf:
            - type: integer
            - type: 'null'
          title: Cpu Core Per Socket
        cpu_cores_total:
          anyOf:
            - type: integer
            - type: 'null'
          title: Cpu Cores Total
        mem_total:
          anyOf:
            - type: integer
            - type: 'null'
          title: Mem Total
        disk_total:
          anyOf:
            - type: integer
            - type: 'null'
          title: Disk Total
        health_score:
          anyOf:
            - type: integer
            - type: 'null'
          title: Health Score
        last_role_change:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Role Change
        id:
          type: integer
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        address:
          type: string
          title: Address
        status:
          $ref: '#/components/schemas/NodeStatus'
          default: registered
        availability:
          $ref: '#/components/schemas/NodeAvailability'
          default: up
        ha_status:
          $ref: '#/components/schemas/HAStatus'
          default: auto
      type: object
      required:
        - id
        - address
      title: Node
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    NodeRole:
      type: string
      enum:
        - active
        - standby
      title: NodeRole
    NodeType:
      type: string
      enum:
        - nsos-v
        - nsos-500
        - nsos-1000
        - nsos-6000
        - nsos-6004
      title: NodeType
    NodeStatus:
      type: string
      enum:
        - registered
        - ready
        - syncing
        - desynced
        - invalid_cert
        - unavailable
        - new
        - discovered
      title: NodeStatus
    NodeAvailability:
      type: string
      enum:
        - up
        - down
        - partial
      title: NodeAvailability
    HAStatus:
      type: string
      enum:
        - auto
        - manual
        - disabled
      title: HAStatus
  securitySchemes:
    HTTPBearerFromCookie:
      type: http
      scheme: bearer

````